import {Component, OnInit} from '@angular/core';
import {User} from '../../models/user';
import {StorageService} from '../../services/storage.service';

@Component({
	selector: 'app-header',
	templateUrl: './header.component.html',
	styleUrls: ['./header.component.scss']
})
export class HeaderComponent implements OnInit {

	showProfilePopover: boolean = false;
	user?: User;

	constructor() {
		this.user = StorageService.getUserInfo();
	}

	ngOnInit(): void {
	}

	openProfile(): void {
		this.showProfilePopover = true;
	}

	closeProfile(): void {
		this.showProfilePopover = false;
	}

	getUserName(): string {
		return this.user ? this.user.firstName : 'Logged out';
	}
}
